image: openjdk:8-jdk-alpine

before_script:

build_master:
 script:
 - ./gradlew build
 stage: build

pages:
 stage: deploy
 script:
  - chmod +x build_adoc.sh
  - ./build_adoc.sh
  - mkdir public
  - cp -R build/docs/asciidoc/* public
 artifacts:
  paths:
   - public
 when: manual
